/********************************************************************
 * include file for all the game graphics
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ********************************************************************/

#ifndef _DAT_H
#define	_DAT_H

#include "types.h"
#include "background.h"

// graphics
#define	NUM_BKG_TILES   17

#define	Dude_Tiles				Dude_Walk_Tiles
#define DUDE_WALK_NUM_FRAMES	4
#define	DUDE_CLIMB_NUM_FRAMES	4
#define	DUDE_JUMP_NUM_FRAMES	1
#define	DUDE_FIRE_NUM_FRAMES	4
#define	DUDE_NUM_TILES			((DUDE_WALK_NUM_FRAMES + DUDE_CLIMB_NUM_FRAMES + DUDE_JUMP_NUM_FRAMES + DUDE_FIRE_NUM_FRAMES) * 2)

#define	BULLET_NUM_FRAMES		3
#define	BULLET_NUM_TILES		3

#define	NUM_GAME_LEVELS			6

extern const u8 tileset_start[];
extern const u16 room_palette[256];
extern const u16 room1_layer_00[];
extern const u16 room2_layer_00[];
extern const u16 room3_layer_00[];
extern const u16 room4_layer_00[];
extern const u16 room5_layer_00[];
extern const u16 room6_layer_00[];

extern const u16 Dude_Palette[16];
extern const u8 Dude_Walk_Tiles[64 * DUDE_WALK_NUM_FRAMES];
extern const u8 Dude_Climb_Tiles[64 * DUDE_CLIMB_NUM_FRAMES];
extern const u8 Dude_Jump_Tiles[64 * DUDE_JUMP_NUM_FRAMES];
extern const u8 Dude_Fire_Tiles[64 * DUDE_FIRE_NUM_FRAMES];

extern const u16 Bullet_Palette[16];
extern const u8 Bullet_Tiles[32 * BULLET_NUM_FRAMES];

extern const u16 powerup_palette[16];
extern const u8 font_tiles[1344];
extern const u8 heart_tiles[32];
extern const u8 skull_tiles[32];
extern const u8 box_tiles[32];
extern const u8 ammo_tiles[32];
extern const u8 arrow_tiles[32];
extern const u8 buttonA_tiles[32];

extern BackgroundFrameStruct room1_frame_00;
extern BackgroundFrameStruct room2_frame_00;
extern BackgroundFrameStruct room3_frame_00;
extern BackgroundFrameStruct room4_frame_00;
extern BackgroundFrameStruct room5_frame_00;
extern BackgroundFrameStruct room6_frame_00;

BackgroundFrameStruct *GameLevels[NUM_GAME_LEVELS];

extern const u16 LogoOpusGames_palette[256];
extern const u8 LogoOpusGames_data[38400];

#endif

