/*************************************************************************
 * math stuff
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ************************************************************************/


#include "math.h"


/******************************************************************
 * get an approximate distance between two 2D points, using quicky
 * code
 *
 * IN:		the two points
 *
 * RETURNS:	approx. distance between the two points
 ******************************************************************/
s24f8 s24f8vect2D_approxDist (s24f8_vect2D *pA, s24f8_vect2D *pB)
{
	s24f8 dx = pA->x - pB->x;
	s24f8 dy = pA->y - pB->y;

	return((dx + dy) - (MIN(dx, dy)>>1));
}



u32 randomLastValue = 1;

/******************************************************************
 * re-seed the random number generator
 *****************************************************************/
void Random_ReSeed (u32 seed)
{
	randomLastValue = seed;
}

/******************************************************************
 * get a random number
 *****************************************************************/
u32 Random_Get32 (void)
{
u32 r;

	r  = ( randomLastValue >> 1 ) | ( ( randomLastValue & 1 ) << 31 );		// ROR #1
	r ^= randomLastValue;
	randomLastValue -= r;

	return (randomLastValue);
}


