/********************************************************************
 * text and number displaying headers
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ********************************************************************/

#ifndef _TEXT_H
#define	_TEXT_H

#include "types.h"


/********************************************************************************
 * display a number at a screen position on the screen, using sprites
 *
 * IN:		screenX, screenY = screen position in pixels (0,0 = top-left corner of screen)
 * 			palNum = palette to display with (0..15)
 * 			minDigits = the minimum number of digits to display
 * 			num = value to display
 *******************************************************************************/
extern void TextSpr_DrawNumber (u16 screenX, u16 screenY, u16 palNum, u16 minDigits, u16 num);


/********************************************************************************
 * display text at a screen position on the screen, using sprites
 *
 * IN:		screenX, screenY = screen position in pixels (0,0 = top-left corner of screen)
 * 			palNum = palette to display with (0..15)
 * 			pText = text to print
 *******************************************************************************/
extern void TextSpr_DrawString (u16 screenX, u16 screenY, u16 palNum, u8 *pText);


#endif
